For Developers
List Publishable Keys
GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/publishable-keys
Returns all publishable keys configured for the application ordered by sequence.
Permissions
Requires the publishable_keys.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/publishable-keys`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "fe75b1b2-2c56-4c4b-a7a1-80048da6b24f",
"name": "Frontend Key",
"key": "pk_live_abc123...xyz789"
}
]
}
